<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent" >


    <FrameLayout
        android:id="@+id/player_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"/>

    <View
        android:id="@+id/mask_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true"
        />


    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/play_icon"
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:padding="20dp"
        android:src="@mipmap/icon_play"
        android:visibility="gone"
        android:layout_gravity="center"/>


    <LinearLayout
        android:id="@+id/bottom_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginVertical="25dp"
        android:layout_marginLeft="15dp"
        android:layout_marginRight="80dp"
        android:layout_gravity="bottom">

        <TextView
            android:id="@+id/tv_video_from"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:singleLine="true"
            android:text="From"
            android:textSize="15sp"
            android:textColor="@color/white" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <TextView
                android:id="@+id/tv_video_intro"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="introduce"
                android:clickable="false"
                android:maxLines="2"
                android:layout_marginEnd="45dp"
                android:textSize="15sp"
                android:textColor="@color/white_al80" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_intro_expand"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:paddingHorizontal="10dp"
                android:paddingVertical="5dp"
                android:layout_gravity="right|bottom"
                android:src="@mipmap/arrow_up"
                />
        </FrameLayout>
    </LinearLayout>


    <com.ama.core.common.widget.PopMenuIconView
        android:id="@+id/pop_menu"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="top|right"
        android:layout_marginRight="20dp"
        android:layout_marginTop="20dp"
        />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom|right"
        android:layout_marginBottom="100dp"
        android:layout_marginRight="20dp"
        android:gravity="center_horizontal"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical" >
            <ImageView
                android:id="@+id/iv_star"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/home_star_undo"
                />

            <TextView
                android:id="@+id/tv_star_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="999"
                android:textSize="12sp"
                android:textStyle="bold"
                android:textColor="@color/white" />
        </LinearLayout>

        <ImageView
            android:id="@+id/iv_share"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/home_share"
            android:layout_marginTop="20dp"
            />


    </LinearLayout>

    <com.ama.core.architecture.widget.CustomProgressBar
        android:id="@+id/progress_bar_player"
        android:layout_width="match_parent"
        android:layout_height="3dp"
        android:layout_marginBottom="6dp"
        android:layout_marginHorizontal="15dp"
        android:layout_gravity="bottom"
        />
</FrameLayout>